opkg (Cannot install package)

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1765
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 26 мар 2019, 14:22

Lucky писал(а):Источник цитаты А почему тогда со старой версией opkg работает?

Там по другому распаковка индекса сделана. Ваша ошибка привела к обсуждению, что нам необходимы opkg-wget и opkg-gzip, которые будут использоваться из opkg, чтобы не было проблем.

kaztost
Сообщения: 223
Зарегистрирован: 16 июл 2017, 23:29

Сообщение kaztost » 26 мар 2019, 14:58

Zyxmon писал(а):Источник цитаты А logcat посмотреть не указывая полнй путь?

я для данного случая имею ввиду, если пользователю надо - путь добавляется в profile что хочет. logcat вообще через симлинк можно сделать.

Это уже вопрос кастомизации. Нам надо, чтобы энтварь с самого начала сама по себе работала. Внешний wget нужен только в самом начале. И я за то, чтобы "unset LD_PRELOAD" выполнялась ДО установочного скрипта. Поскольку производитель прошивки может добавить в LD_PRELOAD не-пойми что, и это отразится на установке. Я уже поимел подобные проблемы с LD_PRELOAD, но там не производитель был виноват я я сам - у меня была подмена execve(), а это серьезно.

kaztost
Сообщения: 223
Зарегистрирован: 16 июл 2017, 23:29

Сообщение kaztost » 26 мар 2019, 15:01

Zyxmon писал(а):Источник цитаты opkg-wget и opkg-gzip
я честно, говоря вообще не понял по исходным кодам, где там можно пути захардкодить. Но это было бы полезно.

Lucky
Сообщения: 31
Зарегистрирован: 21 мар 2019, 14:01

Сообщение Lucky » 26 мар 2019, 19:13

Да, видимо gzip какой-то кривой оказался в toybox, сделал симлинк на gzip из busybox и все работает.

nemo61
Сообщения: 2
Зарегистрирован: 16 май 2019, 08:26

Сообщение nemo61 » 16 май 2019, 12:50

Entware разворачивал на андроид боксе ugoos am3. Ставил вот таким образом https://www.ixbt.com/live/tv/dobavlyaem ... .html#con2. Система работала, пакеты ставились. На днях хотел установить новый пакет. Не смог обновится:

Код: Выделить всё

~ # opkg update
Downloading http://bin.entware.net/armv7sf-k3.2/Packages.gz
Updated list of available packages in /opt/var/opkg-lists/entware
~ # opkg upgrade
Upgrading terminfo on root from 6.1-1 to 6.1-3...
Downloading http://bin.entware.net/armv7sf-k3.2/terminfo_6.1-3_armv7-3.2.ipk
Upgrading opkg on root from 2011-04-08-9c97d5ec-17b to 2019-01-31-d4ba162b-1...
Downloading http://bin.entware.net/armv7sf-k3.2/opkg_2019-01-31-d4ba162b-1_armv7-3.2.ipk
Upgrading wget on root from 1.19.2-2 to 1.20.1-3a...
Downloading http://bin.entware.net/armv7sf-k3.2/wget_1.20.1-3a_armv7-3.2.ipk
Upgrading zoneinfo-europe on root from 2018e-1 to 2018i-1...
Downloading http://bin.entware.net/armv7sf-k3.2/zoneinfo-europe_2018i-1_armv7-3.2.ipk
wget: error while loading shared libraries: libssl.so.1.1: cannot open shared object file: No such file or directory
Upgrading busybox on root from 1.28.3-2 to 1.30.1-1a...
Downloading http://bin.entware.net/armv7sf-k3.2/busybox_1.30.1-1a_armv7-3.2.ipk
wget: error while loading shared libraries: libssl.so.1.1: cannot open shared object file: No such file or directory
Upgrading libpcre on root from 8.41-2 to 8.42-2...
Downloading http://bin.entware.net/armv7sf-k3.2/libpcre_8.42-2_armv7-3.2.ipk
wget: error while loading shared libraries: libssl.so.1.1: cannot open shared object file: No such file or directory
Upgrading grep on root from 2.26-1 to 3.3-1...
Downloading http://bin.entware.net/armv7sf-k3.2/grep_3.3-1_armv7-3.2.ipk
wget: error while loading shared libraries: libssl.so.1.1: cannot open shared object file: No such file or directory
Upgrading zoneinfo-asia on root from 2018e-1 to 2018i-1...
Downloading http://bin.entware.net/armv7sf-k3.2/zoneinfo-asia_2018i-1_armv7-3.2.ipk
wget: error while loading shared libraries: libssl.so.1.1: cannot open shared object file: No such file or directory
Upgrading dropbear on root from 2017.75-5 to 2017.75-9...
Downloading http://bin.entware.net/armv7sf-k3.2/dropbear_2017.75-9_armv7-3.2.ipk
wget: error while loading shared libraries: libssl.so.1.1: cannot open shared object file: No such file or directory
Upgrading libstdcpp on root from 7.3.0-8 to 7.4.0-8...
Downloading http://bin.entware.net/armv7sf-k3.2/libstdcpp_7.4.0-8_armv7-3.2.ipk
wget: error while loading shared libraries: libssl.so.1.1: cannot open shared object file: No such file or directory
Upgrading libgcc on root from 7.3.0-8 to 7.4.0-8...
Downloading http://bin.entware.net/armv7sf-k3.2/libgcc_7.4.0-8_armv7-3.2.ipk
wget: error while loading shared libraries: libssl.so.1.1: cannot open shared object file: No such file or directory
Upgrading findutils on root from 4.6.0-1 to 4.6.0-3...
Downloading http://bin.entware.net/armv7sf-k3.2/findutils_4.6.0-3_armv7-3.2.ipk
wget: error while loading shared libraries: libssl.so.1.1: cannot open shared object file: No such file or directory
Upgrading libssp on root from 7.3.0-8 to 7.4.0-8...
Downloading http://bin.entware.net/armv7sf-k3.2/libssp_7.4.0-8_armv7-3.2.ipk
wget: error while loading shared libraries: libssl.so.1.1: cannot open shared object file: No such file or directory
Upgrading libopenssl on root from 1.0.2o-1 to 1.1.1a-2...
Downloading http://bin.entware.net/armv7sf-k3.2/libopenssl_1.1.1a-2_armv7-3.2.ipk
wget: error while loading shared libraries: libssl.so.1.1: cannot open shared object file: No such file or directory
Configuring terminfo.
Configuring opkg.
Configuring wget.
Collected errors:
 * opkg_download: Failed to download http://bin.entware.net/armv7sf-k3.2/zoneinfo-europe_2018i-1_armv7-3.2.ipk, wget returned 127.
 * opkg_install_pkg: Failed to download zoneinfo-europe. Perhaps you need to run 'opkg update'?
 * opkg_download: Failed to download http://bin.entware.net/armv7sf-k3.2/busybox_1.30.1-1a_armv7-3.2.ipk, wget returned 127.
 * opkg_install_pkg: Failed to download busybox. Perhaps you need to run 'opkg update'?
 * opkg_download: Failed to download http://bin.entware.net/armv7sf-k3.2/libpcre_8.42-2_armv7-3.2.ipk, wget returned 127.
 * opkg_install_pkg: Failed to download libpcre. Perhaps you need to run 'opkg update'?
 * opkg_download: Failed to download http://bin.entware.net/armv7sf-k3.2/grep_3.3-1_armv7-3.2.ipk, wget returned 127.
 * opkg_install_pkg: Failed to download grep. Perhaps you need to run 'opkg update'?
 * opkg_download: Failed to download http://bin.entware.net/armv7sf-k3.2/zoneinfo-asia_2018i-1_armv7-3.2.ipk, wget returned 127.
 * opkg_install_pkg: Failed to download zoneinfo-asia. Perhaps you need to run 'opkg update'?
 * opkg_download: Failed to download http://bin.entware.net/armv7sf-k3.2/dropbear_2017.75-9_armv7-3.2.ipk, wget returned 127.
 * opkg_install_pkg: Failed to download dropbear. Perhaps you need to run 'opkg update'?
 * opkg_download: Failed to download http://bin.entware.net/armv7sf-k3.2/libstdcpp_7.4.0-8_armv7-3.2.ipk, wget returned 127.
 * opkg_install_pkg: Failed to download libstdcpp. Perhaps you need to run 'opkg update'?
 * opkg_download: Failed to download http://bin.entware.net/armv7sf-k3.2/libgcc_7.4.0-8_armv7-3.2.ipk, wget returned 127.
 * opkg_install_pkg: Failed to download libgcc. Perhaps you need to run 'opkg update'?
 * opkg_download: Failed to download http://bin.entware.net/armv7sf-k3.2/findutils_4.6.0-3_armv7-3.2.ipk, wget returned 127.
 * opkg_install_pkg: Failed to download findutils. Perhaps you need to run 'opkg update'?
 * opkg_download: Failed to download http://bin.entware.net/armv7sf-k3.2/libssp_7.4.0-8_armv7-3.2.ipk, wget returned 127.
 * opkg_install_pkg: Failed to download libssp. Perhaps you need to run 'opkg update'?
 * opkg_download: Failed to download http://bin.entware.net/armv7sf-k3.2/libopenssl_1.1.1a-2_armv7-3.2.ipk, wget returned 127.
 * opkg_install_pkg: Failed to download libopenssl. Perhaps you need to run 'opkg update'?

Подскажите, каким образом можно обновиться?

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1765
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 16 май 2019, 15:06

nemo61, opkg remove wget. И далее обновляться. Вроде уже 100500 раз написали про wget.

nemo61
Сообщения: 2
Зарегистрирован: 16 май 2019, 08:26

Сообщение nemo61 » 23 май 2019, 10:00

Код: Выделить всё

 opkg remove wget
Removing package wget from root...
~ # opkg upgrade
Upgrading zoneinfo-europe on root from 2018e-1 to 2018i-1...
Downloading http://bin.entware.net/armv7sf-k3.2/zoneinfo-europe_2018i-1_armv7-3.2.ipk
Upgrading busybox on root from 1.28.3-2 to 1.30.1-1a...
Downloading http://bin.entware.net/armv7sf-k3.2/busybox_1.30.1-1a_armv7-3.2.ipk
Upgrading libpcre on root from 8.41-2 to 8.42-2...
Downloading http://bin.entware.net/armv7sf-k3.2/libpcre_8.42-2_armv7-3.2.ipk
Upgrading grep on root from 2.26-1 to 3.3-1...
Downloading http://bin.entware.net/armv7sf-k3.2/grep_3.3-1_armv7-3.2.ipk
Upgrading zoneinfo-asia on root from 2018e-1 to 2018i-1...
Downloading http://bin.entware.net/armv7sf-k3.2/zoneinfo-asia_2018i-1_armv7-3.2.ipk
Upgrading dropbear on root from 2017.75-5 to 2017.75-9...
Downloading http://bin.entware.net/armv7sf-k3.2/dropbear_2017.75-9_armv7-3.2.ipk
Upgrading libstdcpp on root from 7.3.0-8 to 7.4.0-8...
Downloading http://bin.entware.net/armv7sf-k3.2/libstdcpp_7.4.0-8_armv7-3.2.ipk
Upgrading libgcc on root from 7.3.0-8 to 7.4.0-8...
Downloading http://bin.entware.net/armv7sf-k3.2/libgcc_7.4.0-8_armv7-3.2.ipk
Upgrading findutils on root from 4.6.0-1 to 4.6.0-3...
Downloading http://bin.entware.net/armv7sf-k3.2/findutils_4.6.0-3_armv7-3.2.ipk
Upgrading libssp on root from 7.3.0-8 to 7.4.0-8...
Downloading http://bin.entware.net/armv7sf-k3.2/libssp_7.4.0-8_armv7-3.2.ipk
Upgrading libopenssl on root from 1.0.2o-1 to 1.1.1a-2...
Downloading http://bin.entware.net/armv7sf-k3.2/libopenssl_1.1.1a-2_armv7-3.2.ipk
Collected errors:
 * opkg_download: Failed to download http://bin.entware.net/armv7sf-k3.2/zoneinfo-europe_2018i-1_armv7-3.2.ipk, wget returned 255.
 * opkg_install_pkg: Failed to download zoneinfo-europe. Perhaps you need to run 'opkg update'?
 * opkg_download: Failed to download http://bin.entware.net/armv7sf-k3.2/busybox_1.30.1-1a_armv7-3.2.ipk, wget returned 255.
 * opkg_install_pkg: Failed to download busybox. Perhaps you need to run 'opkg update'?
 * opkg_download: Failed to download http://bin.entware.net/armv7sf-k3.2/libpcre_8.42-2_armv7-3.2.ipk, wget returned 255.
 * opkg_install_pkg: Failed to download libpcre. Perhaps you need to run 'opkg update'?
 * opkg_download: Failed to download http://bin.entware.net/armv7sf-k3.2/grep_3.3-1_armv7-3.2.ipk, wget returned 255.
 * opkg_install_pkg: Failed to download grep. Perhaps you need to run 'opkg update'?
 * opkg_download: Failed to download http://bin.entware.net/armv7sf-k3.2/zoneinfo-asia_2018i-1_armv7-3.2.ipk, wget returned 255.
 * opkg_install_pkg: Failed to download zoneinfo-asia. Perhaps you need to run 'opkg update'?
 * opkg_download: Failed to download http://bin.entware.net/armv7sf-k3.2/dropbear_2017.75-9_armv7-3.2.ipk, wget returned 255.
 * opkg_install_pkg: Failed to download dropbear. Perhaps you need to run 'opkg update'?
 * opkg_download: Failed to download http://bin.entware.net/armv7sf-k3.2/libstdcpp_7.4.0-8_armv7-3.2.ipk, wget returned 255.
 * opkg_install_pkg: Failed to download libstdcpp. Perhaps you need to run 'opkg update'?
 * opkg_download: Failed to download http://bin.entware.net/armv7sf-k3.2/libgcc_7.4.0-8_armv7-3.2.ipk, wget returned 255.
 * opkg_install_pkg: Failed to download libgcc. Perhaps you need to run 'opkg update'?
 * opkg_download: Failed to download http://bin.entware.net/armv7sf-k3.2/findutils_4.6.0-3_armv7-3.2.ipk, wget returned 255.
 * opkg_install_pkg: Failed to download findutils. Perhaps you need to run 'opkg update'?
 * opkg_download: Failed to download http://bin.entware.net/armv7sf-k3.2/libssp_7.4.0-8_armv7-3.2.ipk, wget returned 255.
 * opkg_install_pkg: Failed to download libssp. Perhaps you need to run 'opkg update'?
 * opkg_download: Failed to download http://bin.entware.net/armv7sf-k3.2/libopenssl_1.1.1a-2_armv7-3.2.ipk, wget returned 255.
Сделал как посоветовали. Обновление не проходит. wget returned 255.

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1765
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 23 май 2019, 13:20

nemo61 писал(а):Источник цитаты Обновление не проходит. wget returned 255.

У Вас первым в PATH должен быть wget (апплет бизибокс) от meefik - https://play.google.com/store/apps/deta ... ik.busybox
Он точно рабочий.


Вернуться в «Entware на Android»

Кто сейчас на конференции

Всего 1 посетитель :: 1 зарегистрированный, 0 скрытых и 0 гостей (основано на активности пользователей за последние 5 минут)
Больше всего посетителей (162) здесь было 16 ноя 2019, 17:33

Сейчас этот форум просматривают: CommonCrawl [Bot] и 0 гостей